*-------------------------------------------------------------
PARAMETERS tu_par,tlNoTrim,tlUseApostrof, tlUseDots
*-------------------------------------------------------------
* Function xToStr: Converts "CDNYL" types of data to character
*
* tu_par		-	value to convert
* tlNoTrim		-	do not trim data
* tlUseApostrof	-	use an apostrof for CHAR data
* tlUseDots		-	if = .T., uses a '.' for Logical data type (.T. or .F.)
*					otherwise uses T or F
*
* Returns: character
*-------------------------------------------------------------

LOcal jc_t as String 
DO CASE
	CASE TYPE('tu_par')='C'
		if tlNoTrim
			jc_t = iif(tlUseApostrof, '"'+tu_par+'"', tu_par)
		else
			jc_t = iif(tlUseApostrof, '"'+alltrim(tu_par)+'"', ALLTRIM(tu_par))
		endif

	CASE TYPE('tu_par')='D'
		jc_t=DTOC(tu_par)

	CASE TYPE('tu_par')='N'
		if tlNoTrim
			jc_t = str(tu_Par)
		else
			jc_t=ALLTRIM(STR(tu_par))
		endif

	CASE TYPE('tu_par')='Y'
		if tlNoTrim
			jc_t = str(tu_Par,12,4)
		else
			jc_t=ALLTRIM(STR(tu_par,12,4))
		ENDIF
		
	CASE TYPE('tu_par')='L'
		jc_t=IIF(tu_par,'T','F')
		if tlUseDots
			jc_t = '.' + jc_t + '.'
		endif

	OTHER
		jc_t=''
ENDCASE

RETURN jc_t
